diff --git a/web/pgadmin/static/css/overrides.css b/web/pgadmin/static/css/overrides.css
index 662805d..2809364 100755
--- a/web/pgadmin/static/css/overrides.css
+++ b/web/pgadmin/static/css/overrides.css
@@ -1092,4 +1092,20 @@ span.button-label {
 }
 button.ajs-button.btn.btn-primary {
     margin: 2px!important;
+}
+
+.backform_control_notes {
+    background-color: #f5f5f5;
+    border: 1px solid #ccc;
+    border-radius: 3px;
+    color: #333;
+    display: block;
+    font-family: Menlo,Monaco,Consolas,"Courier New",monospace;
+    font-size: 12px;
+    line-height: 1.42857;
+    margin: 0 0 10px;
+    overflow: auto;
+    padding: 0;
+    word-break: break-all;
+    word-wrap: break-word;
 }
\ No newline at end of file
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index f463341..d24d6d7 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -67,7 +67,8 @@
     'collection': ['sub-node-collection', 'sub-node-collection', 'string'],
     'uniqueColCollection': ['unique-col-collection', 'unique-col-collection', 'string'],
     'switch' : 'switch',
-    'select2': 'select2'
+    'select2': 'select2',
+    'note': 'note'
   };
 
   var getMappedControl = Backform.getMappedControl = function(type, mode) {
@@ -2014,5 +2015,21 @@
     }
   });
 
+  // We will use this control just as a annotate in Backform
+  var NoteControl = Backform.NoteControl = Backform.Control.extend({
+    defaults: {
+      label: '',
+      text: '',
+      extraClasses: [],
+      noteClass: 'backform_control_notes'
+    },
+    template: _.template([
+      '<div class="<%=noteClass%>">',
+      '<label class=" <%=extraClasses.join(\' \')%>" style="padding: 5px;">',
+      '<strong><%=label%>:</strong></label>',
+      '<span><%=text%></span></div>'
+    ].join("\n"))
+  });
+
   return Backform;
 }));
